- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::GPetite4< C4 > Class Template Reference

This class provides a generalized four index petite list. More...

`#include <gpetite.h>`

Inheritance diagram for sc::GPetite4< C4 >:

List of all members.

## Public Member Functions
| GPetite4 (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, const C4 &c)
int | in_p4 (int i, int j, int k, int l)

## Detailed Description

### template<class C4>
class sc::GPetite4< C4 >

This class provides a generalized four index petite list.

The template argument is a class that computes an canonical offset given four indices for the particular shell loop structure employed. Example template class parameters are canonical_aaaa, canonical_aabc, canonical_aabb, and canonical_abcd.

The documentation for this class was generated from the following file:

- gpetite.h